%define pythonver 2.6

%define pythonsitedir %{_libdir}/python%{pythonver}/site-packages
%define pythonpkg python
%define minor %{nil}

%define qtversion 3.3.7
%define qtpkg qt
%define sip_version 4.10.0
%define sip_rel 1m
%define pyqt_version 3.18.1
%define pyqt_rel 1m

%global momorel 3

%if "%{pythonver}" == "2.6"
%define pythonprog /usr/bin/python2.6
%else
%define pythonprog /usr/bin/python
%endif

Summary: Python bindings for KDE
Name: PyKDE
Version: 3.16.7
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Languages
Url: http://www.riverbankcomputing.co.uk/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0: http://www.riverbankcomputing.com/static/Downloads/PyKDE3/%{name}-%{version}.tar.bz2
NoSource: 0
Patch1: %{name}-3.16.0-kmimetype.patch
BuildRequires: sip-devel >= %{sip_version}-%{sip_rel}
BuildRequires: PyQt-devel >= %{pyqt_version}-%{pyqt_rel}
BuildRequires: qt3-devel >= %{qtversion}
BuildRequires: kdelibs3-devel
BuildRequires: %{pythonpkg}-devel >= %{pythonver}%{minor}
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: libXmu-devel
BuildRequires: libjpeg-devel >= 8a

Requires: %{pythonpkg} >= %{pythonver}%{minor}
Requires: qt3 >= %{qtversion}
Requires: sip

%description
These are Python bindings for KDE.

%package devel
Summary: Files needed to build other bindings based on KDE
Requires: %{name} = %{version}-%{release}
Requires: sip-devel
Group: Development/Languages

%description devel
Files needed to build other bindings for C++ classes that inherit from any
of the KDE classes.

%package examples
Summary: Examples for PyKDE
Requires: %{name} = %{version}-%{release}
Group: Development/Languages

%description examples
Examples code demonstrating how to use the Python bindings for Qt.

%prep
%setup -q -n %{name}-%{version}

%patch1 -p1 -b .kmimetype

%build
QTDIR="" && . /etc/profile.d/qt.sh

%pythonprog configure.py -d %{pythonsitedir} -n %{_libdir}/kde3 -o %{_includedir}/kde

# Makefiles are broken, workaround
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
sed -i -e "/^.*ln -sf.*libkonsolepart.so.*/d" Makefile
sed -i -e "/^.*ldconfig/d" Makefile
make install DESTDIR=%{buildroot}
(cd %{buildroot}%{_libdir}
ln -s kde3/libkonsolepart.so libkonsolepart.so
)

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README NEWS
%{_bindir}/*
%{_libdir}/libkonsolepart.so
%{pythonsitedir}/*

%files devel
%defattr(-,root,root)
%{_datadir}/sip/*
%doc doc

%files examples
%defattr(-,root,root)
%doc examples

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.16.7-3m)
- full rebuild for mo7 release

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.16.7-2m)
- rebuild against libjpeg-8a

* Sun Feb 21 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.16.7-1m)
- update to 3.16.7

* Tue Jan 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.16.6-2m)
- enable to build with sip-4.10

* Sat Nov 21 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.16.6-1m)
- update to 3.16.6

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.16.3-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Nov 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.16.3-3m)
- add patch2

* Fri Aug 28 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.16.3-2m)
- rebuild against libjpeg-7

* Wed Jun 17 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.16.3-1m)
- update to 3.16.3

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.16.2-4m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.16.2-3m)
- rebuild against python-2.6.1-1m

* Sun Nov 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.16.2-2m)
- this version needs to build with sip-4.7.9
- remove patch0

* Sat Nov 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.16.2-1m)
- update to 3.16.2

* Sat May 24 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.16.1-1m)
- update to 3.16.1

* Mon May 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.16.0-10m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.16.0-9m)
- rebuild against gcc43

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.16.0-8m)
- specify KDE3 headers and libs
- modify BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.16.0-7m)
- %%NoSource -> NoSource

* Mon Jan  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.16.0-6m)
- rebuild against PyQt-3.17.4-1m and sip-4.7.3-1m
- ommit PyKDE-3.16.0-python25.patch
- import PyKDE-3.16.0-sip-4.7.patch from Fedora devel

* Fri Feb 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.16.0-5m)
- rebuild against PyQt-3.17-4m and sip-4.5.2-1m
- import PyKDE-3.16.0-python25.patch from Fedora (replace sip.patch)
 +* Thu Feb 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.16.0-6
 +- patch for python-2.5
- import PyKDE-3.16.0-kmimetype.patch from Fedora
 +* Thu Nov 09 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.16.0-5
 +- kmimetype patch

* Thu Dec 28 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (3.16.0-4m)
- add Py_ssize_t patch

* Sun Dec 24 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.16.0-3m)
- BuildRequires: PyQt-devel >= 3.17-3m

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (3.16.0-2m)
- rebuild against python-2.5

* Wed Nov 08 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.16.0-1m)
- separated from kdebindings
